This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 817562 - virsh create fails to find qemu-kvm
virsh create fails to find qemu-kvm
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libvirt (Show other bugs)
6.2
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Gunannan Ren
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-30 09:51 EDT by Alejandro Bonilla
Modified: 2012-06-04 10:16 EDT (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-04 10:16:51 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alejandro Bonilla 2012-04-30 09:51:09 EDT
virsh create fails to find qemu-kvm unless a symlink is done from
/usr/libexec/qemu-kvm to /usr/bin/qemu-kvm

Is virsh looking on the wrong place or qemu-kvm missing/lost from /usr/bin/ ?

[root@sombrerorojo ~]# virsh create /virtual1/kvm/images/SLES11/SLES11.orig.xml 
error: Failed to create domain from /virtual1/kvm/images/SLES11/SLES11.orig.xml
error: Cannot find QEMU binary /usr/bin/qemu-kvm: No such file or directory

[root@sombrerorojo SLES11]# yum info qemu-kvm
Loaded plugins: refresh-packagekit
Installed Packages
Name        : qemu-kvm
Arch        : x86_64
Epoch       : 2
Version     : 0.12.1.2
Release     : 2.209.el6_2.4
Size        : 3.9 M
Repo        : installed
From repo   : smt
Summary     : Userspace component of KVM
URL         : http://www.linux-kvm.org
License     : GPLv2+ and LGPLv2+ and BSD
Description : KVM (for Kernel-based Virtual Machine) is a full virtualization
solution
            : for Linux on x86 hardware.
            : 
            : Using KVM, one can run multiple virtual machines running
unmodified Linux
            : or Windows images. Each virtual machine has private virtualized
hardware:
            : a network card, disk, graphics adapter, etc.


[root@sombrerorojo ~]# yum info libvirt-client
Loaded plugins: refresh-packagekit
Installed Packages
Name        : libvirt-client
Arch        : x86_64
Version     : 0.9.4
Release     : 23.el6_2.7
Size        : 11 M
Repo        : installed
From repo   : smt
Summary     : Client side library and utilities of the libvirt library
URL         : http://libvirt.org/
License     : LGPLv2+
Description : Shared libraries and client binaries needed to access to the
            : virtualization capabilities of recent versions of Linux (and
other OSes).
Comment 2 Ademar Reis 2012-04-30 13:41:10 EDT
qemu-kvm moved from /usr/bin to /usr/libexec a long time ago, in the release of RHEL-6.0.0, check  bug 560651.

Maybe virsh is missing something.
Comment 5 Dave Allan 2012-05-15 11:07:37 EDT
Alejandro, can you attach the domain XML and the output of virsh capabilities?
Comment 7 Dave Allan 2012-06-04 10:16:51 EDT
Since we can't reproduce this behavior and we don't have the domain XML, I'm closing as INSUFFICIENT DATA.  Please reopen if you can provide the domain XML.

Note You need to log in before you can comment on or make changes to this bug.